Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::OLBParams Class Reference

Parameters for overlapped block motion compensation.

`#include <common.h>`

List of all members.

## Public Member Functions

- OLBParams ()
    Default constructor does nothing.
- OLBParams (const int xblen, const int yblen, const int xbsep, const int ybsep)
    Constructor.
- int Xblen () const
    Returns the horizontal block length.
- int Yblen () const
    Returns the vertical block length.
- int Xbsep () const
    Returns the horizontal block separation.
- int Ybsep () const
    Returns the vertical block separation.
- int Xoffset () const
    The offset in the horizontal start of the block caused by overlap,=(XBLEN-XBSEP)/2.
- int Yoffset () const
    The offset in the vertical start of the block caused by overlap,=(YBLEN-YBSEP)/2.
- void SetXblen (int xblen)
    Sets the block width.
- void SetYblen (int yblen)
    Sets the block height.
- void SetXbsep (int xbsep)
    Sets the block horizontal separation.
- void SetYbsep (int ybsep)
    Sets the block vertical separation.
- bool operator== (const OLBParams bparams) const

## Private Attributes

- int m_xblen
- int m_yblen
- int m_xbsep
- int m_ybsep
- int m_xoffset
- int m_yoffset

## Friends

- std::ostream & operator<< (std::ostream &, OLBParams &)
- std::istream & operator>> (std::istream &, OLBParams &)

## Constructor & Destructor Documentation

dirac::OLBParams::OLBParams | ( |  | ) | `[inline]`

dirac::OLBParams::OLBParams | ( | const int | xblen,
|  | const int | yblen,
|  | const int | xbsep,
|  | const int | ybsep |
| ) |  |  |

## Member Function Documentation

int dirac::OLBParams::Xblen | ( |  | ) | const`[inline]`

References m_xblen.

int dirac::OLBParams::Yblen | ( |  | ) | const`[inline]`

References m_yblen.

int dirac::OLBParams::Xbsep | ( |  | ) | const`[inline]`

References m_xbsep.

int dirac::OLBParams::Ybsep | ( |  | ) | const`[inline]`

References m_ybsep.

int dirac::OLBParams::Xoffset | ( |  | ) | const`[inline]`

References m_xoffset.

int dirac::OLBParams::Yoffset | ( |  | ) | const`[inline]`

References m_yoffset.

void dirac::OLBParams::SetXblen | ( | int | xblen | ) | `[inline]`

References m_xblen, m_xbsep, and m_xoffset.

void dirac::OLBParams::SetYblen | ( | int | yblen | ) | `[inline]`

References m_yblen, m_ybsep, and m_yoffset.

void dirac::OLBParams::SetXbsep | ( | int | xbsep | ) | `[inline]`

References m_xblen, m_xbsep, and m_xoffset.

void dirac::OLBParams::SetYbsep | ( | int | ybsep | ) | `[inline]`

References m_yblen, m_ybsep, and m_yoffset.

bool dirac::OLBParams::operator== | ( | const OLBParams | bparams | ) | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | OLBParams & |  |
| ) |  |  | `[friend]`

std::istream& operator>> | ( | std::istream & | ,
|  | OLBParams & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

int dirac::OLBParams::m_xblen`[private]`

Referenced by SetXblen(), SetXbsep(), and Xblen().

int dirac::OLBParams::m_yblen`[private]`

Referenced by SetYblen(), SetYbsep(), and Yblen().

int dirac::OLBParams::m_xbsep`[private]`

Referenced by SetXblen(), SetXbsep(), and Xbsep().

int dirac::OLBParams::m_ybsep`[private]`

Referenced by SetYblen(), SetYbsep(), and Ybsep().

int dirac::OLBParams::m_xoffset`[private]`

Referenced by SetXblen(), SetXbsep(), and Xoffset().

int dirac::OLBParams::m_yoffset`[private]`

Referenced by SetYblen(), SetYbsep(), and Yoffset().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.